<?php

// Start of oci8 v.1.4.6

class OCI_Lob  {

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Returns large object's contents
	 * @link http://php.net/manual/en/function.oci-lob-load.php
	 * @return string the contents of the object, or false on errors.
	 */
	public function load () {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Returns the current position of internal pointer of large object
	 * @link http://php.net/manual/en/function.oci-lob-tell.php
	 * @return int current position of a LOB's internal pointer or false if an
	 * error occurred.
	 */
	public function tell () {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Truncates large object
	 * @link http://php.net/manual/en/function.oci-lob-truncate.php
	 * @param int $length [optional] <p>
	 * If provided, this method will truncate the LOB to
	 * length bytes. Otherwise, it will completely
	 * purge the LOB.
	 * </p>
	 * @return bool Returns true on success or false on failure.
	 */
	public function truncate ($length = 0) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Erases a specified portion of the internal LOB data
	 * @link http://php.net/manual/en/function.oci-lob-erase.php
	 * @param int $offset [optional]
	 * @param int $length [optional]
	 * @return int the actual number of characters/bytes erased or false on failure.
	 */
	public function erase ($offset = null, $length = null) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Flushes/writes buffer of the LOB to the server
	 * @link http://php.net/manual/en/function.oci-lob-flush.php
	 * @param int $flag [optional] <p>
	 * By default, resources are not freed, but using flag
	 * <b>OCI_LOB_BUFFER_FREE</b> you can do it explicitly.
	 * Be sure you know what you're doing - next read/write operation to the
	 * same part of LOB will involve a round-trip to the server and initialize
	 * new buffer resources. It is recommended to use
	 * <b>OCI_LOB_BUFFER_FREE</b> flag only when you are not
	 * going to work with the LOB anymore.
	 * </p>
	 * @return bool Returns true on success or false on failure.
	 * </p>
	 * <p>
	 * Returns false if buffering was not enabled or an error occurred.
	 */
	public function flush ($flag = null) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Changes current state of buffering for the large object
	 * @link http://php.net/manual/en/function.oci-lob-setbuffering.php
	 * @param bool $on_off <p>
	 * true for on and false for off.
	 * </p>
	 * @return bool Returns true on success or false on failure. Repeated calls to this method with the same flag will
	 * return true.
	 */
	public function setbuffering ($on_off) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Returns current state of buffering for the large object
	 * @link http://php.net/manual/en/function.oci-lob-getbuffering.php
	 * @return bool false if buffering for the large object is off and true if
	 * buffering is used.
	 */
	public function getbuffering () {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Moves the internal pointer to the beginning of the large object
	 * @link http://php.net/manual/en/function.oci-lob-rewind.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function rewind () {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Reads part of the large object
	 * @link http://php.net/manual/en/function.oci-lob-read.php
	 * @param int $length <p>
	 * The length of data to read, in bytes.
	 * </p>
	 * @return string the contents as a string, or false on failure.
	 */
	public function read ($length) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Tests for end-of-file on a large object's descriptor
	 * @link http://php.net/manual/en/function.oci-lob-eof.php
	 * @return bool true if internal pointer of large object is at the end of LOB.
	 * Otherwise returns false.
	 */
	public function eof () {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Sets the internal pointer of the large object
	 * @link http://php.net/manual/en/function.oci-lob-seek.php
	 * @param int $offset <p>
	 * Indicates the amount of bytes, on which internal pointer should be
	 * moved from the position, pointed by whence.
	 * </p>
	 * @param int $whence [optional] <p>
	 * May be one of:
	 * <b>OCI_SEEK_SET</b> - sets the position equal to
	 * offset
	 * <b>OCI_SEEK_CUR</b> - adds offset
	 * bytes to the current position
	 * <b>OCI_SEEK_END</b> - adds offset
	 * bytes to the end of large object (use negative value to move to a position
	 * before the end of large object)
	 * </p>
	 * @return bool Returns true on success or false on failure.
	 */
	public function seek ($offset, $whence = 'OCI_SEEK_SET') {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Writes data to the large object
	 * @link http://php.net/manual/en/function.oci-lob-write.php
	 * @param string $data <p>
	 * The data to write in the LOB.
	 * </p>
	 * @param int $length [optional] <p>
	 * If this parameter is given, writing will stop after
	 * length bytes have been written or the end of
	 * data is reached, whichever comes first.
	 * </p>
	 * @return int the number of bytes written or false on failure.
	 */
	public function write ($data, $length = null) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Appends data from the large object to another large object
	 * @link http://php.net/manual/en/function.oci-lob-append.php
	 * @param OCI_Lob $lob_from <p>
	 * The copied LOB.
	 * </p>
	 * @return bool Returns true on success or false on failure.
	 */
	public function append (OCI_Lob $lob_from) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Returns size of large object
	 * @link http://php.net/manual/en/function.oci-lob-size.php
	 * @return int length of large object value or false on failure.
	 * Empty objects have zero length.
	 */
	public function size () {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * &Alias; <function>oci_lob_export</function>
	 * @link http://php.net/manual/en/function.oci-lob-writetofile.php
	 * @param $filename
	 * @param $start [optional]
	 * @param $length [optional]
	 */
	public function writetofile ($filename, $start, $length) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Exports LOB's contents to a file
	 * @link http://php.net/manual/en/function.oci-lob-export.php
	 * @param string $filename <p>
	 * Path to the file.
	 * </p>
	 * @param int $start [optional] <p>
	 * Indicates from where to start exporting.
	 * </p>
	 * @param int $length [optional] <p>
	 * Indicates the length of data to be exported.
	 * </p>
	 * @return bool Returns true on success or false on failure.
	 */
	public function export ($filename, $start = null, $length = null) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Imports file data to the LOB
	 * @link http://php.net/manual/en/function.oci-lob-import.php
	 * @param string $filename <p>
	 * Path to the file.
	 * </p>
	 * @return bool Returns true on success or false on failure.
	 */
	public function import ($filename) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Writes a temporary large object
	 * @link http://php.net/manual/en/function.oci-lob-writetemporary.php
	 * @param string $data <p>
	 * The data to write.
	 * </p>
	 * @param int $lob_type [optional] <p>
	 * Can be one of the following:
	 * <b>OCI_TEMP_BLOB</b> is used to create temporary BLOBs
	 * <b>OCI_TEMP_CLOB</b> is used to create
	 * temporary CLOBs
	 * </p>
	 * @return bool Returns true on success or false on failure.
	 */
	public function writetemporary ($data, $lob_type = 'OCI_TEMP_CLOB') {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Closes LOB descriptor
	 * @link http://php.net/manual/en/function.oci-lob-close.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function close () {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Saves data to the large object
	 * @link http://php.net/manual/en/function.oci-lob-save.php
	 * @param string $data <p>
	 * The data to be saved.
	 * </p>
	 * @param int $offset [optional] <p>
	 * Can be used to indicate offset from the beginning of the large object.
	 * </p>
	 * @return bool Returns true on success or false on failure.
	 */
	public function save ($data, $offset = null) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * &Alias; <function>oci_lob_import</function>
	 * @link http://php.net/manual/en/function.oci-lob-savefile.php
	 * @param $filename
	 */
	public function savefile ($filename) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Frees resources associated with the LOB descriptor
	 * @link http://php.net/manual/en/function.oci-lob-free.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function free () {}

}

class OCI_Collection  {

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Appends element to the collection
	 * @link http://php.net/manual/en/function.oci-collection-append.php
	 * @param mixed $value <p>
	 * The value to be added to the collection. Can be a string or a number.
	 * </p>
	 * @return bool Returns true on success or false on failure.
	 */
	public function append ($value) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Returns value of the element
	 * @link http://php.net/manual/en/function.oci-collection-element-get.php
	 * @param int $index <p>
	 * The element index. First index is 1.
	 * </p>
	 * @return mixed false if such element doesn't exist; null if element is null;
	 * string if element is column of a string datatype or number if element is
	 * numeric field.
	 */
	public function getelem ($index) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Assigns a value to the element of the collection
	 * @link http://php.net/manual/en/function.oci-collection-element-assign.php
	 * @param int $index <p>
	 * The element index. First index is 1.
	 * </p>
	 * @param mixed $value <p>
	 * Can be a string or a number.
	 * </p>
	 * @return bool Returns true on success or false on failure.
	 */
	public function assignelem ($index, $value) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Assigns a value to the collection from another existing collection
	 * @link http://php.net/manual/en/function.oci-collection-assign.php
	 * @param OCI_Collection $from <p>
	 * An instance of OCI-Collection.
	 * </p>
	 * @return bool Returns true on success or false on failure.
	 */
	public function assign (OCI_Collection $from) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Returns size of the collection
	 * @link http://php.net/manual/en/function.oci-collection-size.php
	 * @return int the number of elements in the collection or false on error.
	 */
	public function size () {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Returns the maximum number of elements in the collection
	 * @link http://php.net/manual/en/function.oci-collection-max.php
	 * @return int the maximum number as an integer, or false on errors.
	 * </p>
	 * <p>
	 * If the returned value is 0, then the number of elements is not limited.
	 */
	public function max () {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Trims elements from the end of the collection
	 * @link http://php.net/manual/en/function.oci-collection-trim.php
	 * @param int $num <p>
	 * The number of elements to be trimmed.
	 * </p>
	 * @return bool Returns true on success or false on failure.
	 */
	public function trim ($num) {}

	/**
	 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
	 * Frees the resources associated with the collection object
	 * @link http://php.net/manual/en/function.oci-collection-free.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function free () {}

}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Associates a PHP variable with a column for query fetches
 * @link http://php.net/manual/en/function.oci-define-by-name.php
 * @param resource $statement A valid OCI8 statement identifier created by <b>oci_parse</b> and executed by <b>oci_execute</b>, or a REF CURSOR statement identifier.
 * @param string $column_name <p>
 * The column name used in the query.
 * </p>
 * <p>
 * Use uppercase for Oracle's default, non-case sensitive column
 * names. Use the exact column name case for case-sensitive
 * column names.
 * </p>
 * @param mixed $variable <p>
 * The PHP variable that will contain the returned column value.
 * </p>
 * @param int $type [optional] <p>
 * The data type to be returned. Generally not needed. Note that
 * Oracle-style data conversions are not performed. For example,
 * SQLT_INT will be ignored and the returned
 * data type will still be SQLT_CHR.
 * </p>
 * <p>
 * You can optionally use <b>oci_new_descriptor</b>
 * to allocate LOB/ROWID/BFILE descriptors.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_define_by_name ($statement, $column_name, &$variable, $type = 'SQLT_CHR') {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Binds a PHP variable to an Oracle placeholder
 * @link http://php.net/manual/en/function.oci-bind-by-name.php
 * @param resource $statement <p>
 * A valid OCI8 statement identifer.
 * </p>
 * @param string $bv_name <p>
 * The colon-prefixed bind variable placeholder used in the
 * statement. The colon is optional
 * in bv_name. Oracle does not use question
 * marks for placeholders.
 * </p>
 * @param mixed $variable <p>
 * The PHP variable to be associated with bv_name
 * </p>
 * @param int $maxlength [optional] <p>
 * Sets the maximum length for the data. If you set it to -1, this
 * function will use the current length
 * of variable to set the maximum
 * length. In this case the variable must
 * exist and contain data
 * when <b>oci_bind_by_name</b> is called.
 * </p>
 * @param int $type [optional] <p>
 * The datatype that Oracle will treat the data as. The
 * default type used
 * is <b>SQLT_CHR</b>. Oracle will convert the data
 * between this type and the database column (or PL/SQL variable
 * type), when possible.
 * </p>
 * <p>
 * If you need to bind an abstract datatype (LOB/ROWID/BFILE) you
 * need to allocate it first using the
 * <b>oci_new_descriptor</b> function. The
 * length is not used for abstract datatypes
 * and should be set to -1.
 * </p>
 * <p>
 * Possible values for type are:
 * <p>
 * <b>SQLT_BFILEE</b> or <b>OCI_B_BFILE</b>
 * - for BFILEs;
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_bind_by_name ($statement, $bv_name, &$variable, $maxlength = -1, $type = 'SQLT_CHR') {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL OCI8 &gt;= 1.2.0)<br/>
 * Binds a PHP array to an Oracle PL/SQL array parameter
 * @link http://php.net/manual/en/function.oci-bind-array-by-name.php
 * @param resource $statement <p>
 * A valid OCI statement identifier.
 * </p>
 * @param string $name <p>
 * The Oracle placeholder.
 * </p>
 * @param array $var_array <p>
 * An array.
 * </p>
 * @param int $max_table_length <p>
 * Sets the maximum length both for incoming and result arrays.
 * </p>
 * @param int $max_item_length [optional] <p>
 * Sets maximum length for array items. If not specified or equals to -1,
 * <b>oci_bind_array_by_name</b> will find the longest
 * element in the incoming array and will use it as the maximum length.
 * </p>
 * @param int $type [optional] <p>
 * Should be used to set the type of PL/SQL array items. See list of
 * available types below:
 * </p>
 * <p>
 * <p>
 * <b>SQLT_NUM</b> - for arrays of NUMBER.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_bind_array_by_name ($statement, $name, array &$var_array, $max_table_length, $max_item_length = -1, $type = 'SQLT_AFC') {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Checks if the field is &null;
 * @link http://php.net/manual/en/function.oci-field-is-null.php
 * @param resource $statement <p>
 * A valid OCI statement identifier.
 * </p>
 * @param mixed $field <p>
 * Can be a field's index or a field's name (uppercased).
 * </p>
 * @return bool true if field is null, false otherwise.
 */
function oci_field_is_null ($statement, $field) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns the name of a field from the statement
 * @link http://php.net/manual/en/function.oci-field-name.php
 * @param resource $statement <p>
 * A valid OCI statement identifier.
 * </p>
 * @param int $field <p>
 * Can be the field's index (1-based) or name.
 * </p>
 * @return string the name as a string, or false on errors.
 */
function oci_field_name ($statement, $field) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns field's size
 * @link http://php.net/manual/en/function.oci-field-size.php
 * @param resource $statement <p>
 * A valid OCI statement identifier.
 * </p>
 * @param mixed $field <p>
 * Can be the field's index (1-based) or name.
 * </p>
 * @return int the size of a field in bytes, or false on
 * errors.
 */
function oci_field_size ($statement, $field) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Tell the scale of the field
 * @link http://php.net/manual/en/function.oci-field-scale.php
 * @param resource $statement <p>
 * A valid OCI statement identifier.
 * </p>
 * @param int $field <p>
 * Can be the field's index (1-based) or name.
 * </p>
 * @return int the scale as an integer, or false on errors.
 */
function oci_field_scale ($statement, $field) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Tell the precision of a field
 * @link http://php.net/manual/en/function.oci-field-precision.php
 * @param resource $statement <p>
 * A valid OCI statement identifier.
 * </p>
 * @param int $field <p>
 * Can be the field's index (1-based) or name.
 * </p>
 * @return int the precision as an integer, or false on errors.
 */
function oci_field_precision ($statement, $field) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns field's data type
 * @link http://php.net/manual/en/function.oci-field-type.php
 * @param resource $statement <p>
 * A valid OCI statement identifier.
 * </p>
 * @param int $field <p>
 * Can be the field's index (1-based) or name.
 * </p>
 * @return mixed the field data type as a string, or false on errors.
 */
function oci_field_type ($statement, $field) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Tell the raw Oracle data type of the field
 * @link http://php.net/manual/en/function.oci-field-type-raw.php
 * @param resource $statement <p>
 * A valid OCI statement identifier.
 * </p>
 * @param int $field <p>
 * Can be the field's index (1-based) or name.
 * </p>
 * @return int Oracle's raw data type as a string, or false on errors.
 */
function oci_field_type_raw ($statement, $field) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Executes a statement
 * @link http://php.net/manual/en/function.oci-execute.php
 * @param resource $statement <p>
 * A valid OCI statement identifier.
 * </p>
 * @param int $mode [optional] <p>
 * An optional second parameter can be one of the following constants:
 * <table>
 * Execution Modes
 * <tr valign="top">
 * <td>Constant</td>
 * <td>Description</td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_COMMIT_ON_SUCCESS</b></td>
 * <td>Automatically commit all outstanding changes for
 * this connection when the statement has succeeded. This
 * is the default.</td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_DEFAULT</b></td>
 * <td>Obsolete as of PHP 5.3.2 (PECL OCI8 1.4) but still
 * available for backward compatibility. Use the
 * equivalent <b>OCI_NO_AUTO_COMMIT</b> in new
 * code.</td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_DESCRIBE_ONLY</b></td>
 * <td>Make query meta data available to functions
 * like <b>oci_field_name</b> but do not
 * create a result set. Any subsequent fetch call such
 * as <b>oci_fetch_array</b> will
 * fail.</td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_NO_AUTO_COMMIT</b></td>
 * <td>Do not automatically commit changes. Prior to PHP
 * 5.3.2 (PECL OCI8 1.4)
 * use <b>OCI_DEFAULT</b> which is an alias
 * for <b>OCI_NO_AUTO_COMMIT</b>.</td>
 * </tr>
 * </table>
 * </p>
 * <p>
 * Using <b>OCI_NO_AUTO_COMMIT</b> mode starts a
 * transaction. Transactions are automatically rolled back when
 * the connection is closed, or when the script ends. Explicitly
 * call <b>oci_commit</b> to commit a transaction,
 * or <b>oci_rollback</b> to abort it.
 * </p>
 * <p>
 * When inserting or updating data, using transactions is
 * recommended for relational data consistency and for performance
 * reasons.
 * </p>
 * <p>
 * If <b>OCI_NO_AUTO_COMMIT</b> mode is used for any
 * statement including queries, and
 * <b>oci_commit</b>
 * or <b>oci_rollback</b> is not subsequently
 * called, then OCI8 will perform a rollback at the end of the
 * script even if no data was changed. To avoid an unnecessary
 * rollback, many scripts do not
 * use <b>OCI_NO_AUTO_COMMIT</b> mode for queries or
 * PL/SQL. Be careful to ensure the appropriate transactional
 * consistency for the application when
 * using <b>oci_execute</b> with different modes in
 * the same script.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_execute ($statement, $mode = 'OCI_COMMIT_ON_SUCCESS') {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Cancels reading from cursor
 * @link http://php.net/manual/en/function.oci-cancel.php
 * @param resource $statement <p>
 * An OCI statement.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_cancel ($statement) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Fetches the next row from a query into internal buffers
 * @link http://php.net/manual/en/function.oci-fetch.php
 * @param resource $statement A valid OCI8 statement identifier created by <b>oci_parse</b> and executed by <b>oci_execute</b>, or a REF CURSOR statement identifier.
 * @return bool true on success or false if there are no more rows in the
 * statement.
 */
function oci_fetch ($statement) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns the next row from a query as an object
 * @link http://php.net/manual/en/function.oci-fetch-object.php
 * @param resource $statement A valid OCI8 statement identifier created by <b>oci_parse</b> and executed by <b>oci_execute</b>, or a REF CURSOR statement identifier.
 * @return object an object. Each attribute of the object corresponds to a
 * column of the row. If there are no more rows in
 * the statement then false is returned.
 * </p>
 * <p>
 * Any LOB columns are returned as LOB descriptors.
 * </p>
 * <p>
 * DATE columns are returned as strings formatted
 * to the current date format. The default format can be changed with
 * Oracle environment variables such as NLS_LANG or
 * by a previously executed ALTER SESSION SET
 * NLS_DATE_FORMAT command.
 * </p>
 * <p>
 * Oracle's default, non-case sensitive column names will have
 * uppercase attribute names. Case-sensitive column names will have
 * attribute names using the exact column case.
 * Use <b>var_dump</b> on the result object to verify
 * the appropriate case to use for each query.
 * </p>
 * <p>
 * Attribute values will be null for any NULL
 * data fields.
 */
function oci_fetch_object ($statement) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns the next row from a query as a numeric array
 * @link http://php.net/manual/en/function.oci-fetch-row.php
 * @param resource $statement A valid OCI8 statement identifier created by <b>oci_parse</b> and executed by <b>oci_execute</b>, or a REF CURSOR statement identifier.
 * @return array a numerically indexed array. If there are no more rows in
 * the statement then false is returned.
 */
function oci_fetch_row ($statement) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns the next row from a query as an associative array
 * @link http://php.net/manual/en/function.oci-fetch-assoc.php
 * @param resource $statement A valid OCI8 statement identifier created by <b>oci_parse</b> and executed by <b>oci_execute</b>, or a REF CURSOR statement identifier.
 * @return array an associative array. If there are no more rows in
 * the statement then false is returned.
 */
function oci_fetch_assoc ($statement) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns the next row from a query as an associative or numeric array
 * @link http://php.net/manual/en/function.oci-fetch-array.php
 * @param resource $statement A valid OCI8 statement identifier created by <b>oci_parse</b> and executed by <b>oci_execute</b>, or a REF CURSOR statement identifier.
 * @param int $mode [optional] <p>
 * An optional second parameter can be any combination of the following
 * constants:
 * <table>
 * <b>oci_fetch_array</b> Modes
 * <tr valign="top">
 * <td>Constant</td>
 * <td>Description</td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_BOTH</b></td>
 * <td>Returns an array with both associative and numeric
 * indices. This is the same
 * as <b>OCI_ASSOC</b>
 * + <b>OCI_NUM</b> and is the default
 * behavior.</td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_ASSOC</b></td>
 * <td>Returns an associative array.</td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_NUM</b></td>
 * <td>Returns a numeric array.</td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_RETURN_NULLS</b></td>
 * <td>Creates elements for null fields. The element
 * values will be a PHP null.
 * </td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_RETURN_LOBS</b></td>
 * <td>Returns the contents of LOBs instead of the LOB
 * descriptors.</td>
 * </tr>
 * </table>
 * </p>
 * <p>
 * The default mode is <b>OCI_BOTH</b>.
 * </p>
 * <p>
 * Use the addition operator &quot;+&quot; to specify more than
 * one mode at a time.
 * </p>
 * @return array an array with associative and/or numeric indices. If there
 * are no more rows in the statement then
 * false is returned.
 * </p>
 * <p>
 * By default, LOB columns are returned as LOB descriptors.
 * </p>
 * <p>
 * DATE columns are returned as strings formatted
 * to the current date format. The default format can be changed with
 * Oracle environment variables such as NLS_LANG or
 * by a previously executed ALTER SESSION SET
 * NLS_DATE_FORMAT command.
 * </p>
 * <p>
 * Oracle's default, non-case sensitive column names will have
 * uppercase associative indices in the result array. Case-sensitive
 * column names will have array indices using the exact column case.
 * Use <b>var_dump</b> on the result array to verify the
 * appropriate case to use for each query.
 */
function oci_fetch_array ($statement, $mode = null) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * Fetches the next row into an array (deprecated)
 * @link http://php.net/manual/en/function.ocifetchinto.php
 * @param resource $statement
 * @param array $result
 * @param int $mode [optional]
 * @return int
 */
function ocifetchinto ($statement, array &$result, $mode = 'OCI_ASSOC + OCI_NUM') {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Fetches multiple rows from a query into a two-dimensional array
 * @link http://php.net/manual/en/function.oci-fetch-all.php
 * @param resource $statement A valid OCI8 statement identifier created by <b>oci_parse</b> and executed by <b>oci_execute</b>, or a REF CURSOR statement identifier.
 * @param array $output <p>
 * The variable to contain the returned rows.
 * </p>
 * <p>
 * LOB columns are returned as strings, where Oracle supports
 * conversion.
 * </p>
 * <p>
 * See <b>oci_fetch_array</b> for more information
 * on how data and types are fetched.
 * </p>
 * @param int $skip [optional] <p>
 * The number of initial rows to discard when fetching the
 * result. The default value is 0, so the first row onwards is
 * returned.
 * </p>
 * @param int $maxrows [optional] <p>
 * The number of rows to return. The default is -1 meaning return
 * all the rows from skip + 1 onwards.
 * </p>
 * @param int $flags [optional] <p>
 * Parameter flags indicates the array
 * structure and whether associative arrays should be used.
 * <table>
 * <b>oci_fetch_all</b> Array Structure Modes
 * <tr valign="top">
 * <td>Constant</td>
 * <td>Description</td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_FETCHSTATEMENT_BY_ROW</b></td>
 * <td>The outer array will contain one sub-array per query
 * row.</td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_FETCHSTATEMENT_BY_COLUMN</b></td>
 * <td>The outer array will contain one sub-array per query
 * column. This is the default.</td>
 * </tr>
 * </table>
 * </p>
 * <p>
 * Arrays can be indexed by column heading or numerically.
 * <table>
 * <b>oci_fetch_all</b> Array Index Modes
 * <tr valign="top">
 * <td>Constant</td>
 * <td>Description</td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_NUM</b></td>
 * <td>Numeric indexes are used for each column's array.</td>
 * </tr>
 * <tr valign="top">
 * <td><b>OCI_ASSOC</b></td>
 * <td>Associative indexes are used for each column's
 * array. This is the default.</td>
 * </tr>
 * </table>
 * </p>
 * <p>
 * Use the addition operator &quot;+&quot; to choose a combination
 * of array structure and index modes.
 * </p>
 * <p>
 * Oracle's default, non-case sensitive column names will have
 * uppercase array keys. Case-sensitive column names will have
 * array keys using the exact column case.
 * Use <b>var_dump</b>
 * on output to verify the appropriate case
 * to use for each query.
 * </p>
 * <p>
 * Queries that have more than one column with the same name
 * should use column aliases. Otherwise only one of the columns
 * will appear in an associative array.
 * </p>
 * @return int the number of rows in output, which
 * may be 0 or more, or false on failure.
 */
function oci_fetch_all ($statement, array &$output, $skip = 0, $maxrows = -1, $flags = 'OCI_FETCHSTATEMENT_BY_COLUMN + OCI_ASSOC') {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Frees all resources associated with statement or cursor
 * @link http://php.net/manual/en/function.oci-free-statement.php
 * @param resource $statement <p>
 * A valid OCI statement identifier.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_free_statement ($statement) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Enables or disables internal debug output
 * @link http://php.net/manual/en/function.oci-internal-debug.php
 * @param bool $onoff <p>
 * Set this to false to turn debug output off or true to turn it on.
 * </p>
 * @return void
 */
function oci_internal_debug ($onoff) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns the number of result columns in a statement
 * @link http://php.net/manual/en/function.oci-num-fields.php
 * @param resource $statement <p>
 * A valid OCI statement identifier.
 * </p>
 * @return int the number of columns as an integer, or false on errors.
 */
function oci_num_fields ($statement) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Prepares an Oracle statement for execution
 * @link http://php.net/manual/en/function.oci-parse.php
 * @param resource $connection <p>
 * An Oracle connection identifier, returned by
 * <b>oci_connect</b>, <b>oci_pconnect</b>, or <b>oci_new_connect</b>.
 * </p>
 * @param string $sql_text <p>
 * The SQL or PL/SQL statement.
 * </p>
 * <p>
 * SQL statements should not end with a
 * semi-colon (&quot;;&quot;). PL/SQL
 * statements should end with a semi-colon
 * (&quot;;&quot;).
 * </p>
 * @return resource a statement handle on success, or false on error.
 */
function oci_parse ($connection, $sql_text) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Allocates and returns a new cursor (statement handle)
 * @link http://php.net/manual/en/function.oci-new-cursor.php
 * @param resource $connection <p>
 * An Oracle connection identifier, returned by
 * <b>oci_connect</b> or <b>oci_pconnect</b>.
 * </p>
 * @return resource a new statement handle, or false on error.
 */
function oci_new_cursor ($connection) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns field's value from the fetched row
 * @link http://php.net/manual/en/function.oci-result.php
 * @param resource $statement
 * @param mixed $field <p>
 * Can be either use the column number (1-based) or the column name (in
 * uppercase).
 * </p>
 * @return mixed everything as strings except for abstract types (ROWIDs, LOBs and
 * FILEs). Returns false on error.
 */
function oci_result ($statement, $field) {}

/**
 * (PHP 5.3.7, PECL OCI8 &gt;= 1.4.6)<br/>
 * Returns the Oracle client library version
 * @link http://php.net/manual/en/function.oci-client-version.php
 * @return string the version number as a string.
 */
function oci_client_version () {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns the Oracle Database version
 * @link http://php.net/manual/en/function.oci-server-version.php
 * @param resource $connection
 * @return string the version information as a string or false on error.
 */
function oci_server_version ($connection) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns the type of a statement
 * @link http://php.net/manual/en/function.oci-statement-type.php
 * @param resource $statement <p>
 * A valid OCI8 statement identifier from <b>oci_parse</b>.
 * </p>
 * @return string the type of statement as one of the
 * following strings.
 * <table>
 * Statement type
 * <tr valign="top">
 * <td>Return String</td>
 * <td>Notes</td>
 * </tr>
 * <tr valign="top">
 * <td>ALTER</td>
 * <td></td>
 * </tr>
 * <tr valign="top">
 * <td>BEGIN</td>
 * <td></td>
 * </tr>
 * <tr valign="top">
 * <td>CALL</td>
 * <td>Introduced in PHP 5.2.1 (PECL OCI8 1.2.3)</td>
 * </tr>
 * <tr valign="top">
 * <td>CREATE</td>
 * <td></td>
 * </tr>
 * <tr valign="top">
 * <td>DECLARE</td>
 * <td></td>
 * </tr>
 * <tr valign="top">
 * <td>DELETE</td>
 * <td></td>
 * </tr>
 * <tr valign="top">
 * <td>DROP</td>
 * <td></td>
 * </tr>
 * <tr valign="top">
 * <td>INSERT</td>
 * <td></td>
 * </tr>
 * <tr valign="top">
 * <td>SELECT</td>
 * <td></td>
 * </tr>
 * <tr valign="top">
 * <td>UPDATE</td>
 * <td></td>
 * </tr>
 * <tr valign="top">
 * <td>UNKNOWN</td>
 * <td></td>
 * </tr>
 * </table>
 * </p>
 * <p>
 * Returns false on error.
 */
function oci_statement_type ($statement) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns number of rows affected during statement execution
 * @link http://php.net/manual/en/function.oci-num-rows.php
 * @param resource $statement <p>
 * A valid OCI statement identifier.
 * </p>
 * @return int the number of rows affected as an integer, or false on errors.
 */
function oci_num_rows ($statement) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Closes an Oracle connection
 * @link http://php.net/manual/en/function.oci-close.php
 * @param resource $connection <p>
 * An Oracle connection identifier returned by
 * <b>oci_connect</b>, <b>oci_pconnect</b>,
 * or <b>oci_new_connect</b>.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_close ($connection) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Connect to an Oracle database
 * @link http://php.net/manual/en/function.oci-connect.php
 * @param string $username <p>
 * The Oracle user name.
 * </p>
 * @param string $password <p>
 * The password for username.
 * </p>
 * @param string $connection_string [optional] Contains the Oracle instance to connect to. It can be an Easy Connect string, or a Connect Name from the tnsnames.ora file, or the name of a local Oracle instance.If not specified, PHP uses environment variables such as <b>TWO_TASK</b> (on Linux) or <b>LOCAL</b> (on Windows) and <b>ORACLE_SID</b> to determine the Oracle instance to connect to. To use the Easy Connect naming method, PHP must be linked with Oracle 10g or greater Client libraries. The Easy Connect string for Oracle 10g is of the form: [//]host_name[:port][/service_name]. With Oracle 11g, the syntax is: [//]host_name[:port][/service_name][:server_type][/instance_name]. Service names can be found by running the Oracle utility lsnrctl status on the database server machine.The tnsnames.ora file can be in the Oracle Net search path, which includes $ORACLE_HOME/network/admin and /etc. Alternatively set TNS_ADMIN so that $TNS_ADMIN/tnsnames.ora is read. Make sure the web daemon has read access to the file.
 * @param string $character_set [optional] Determines the character set used by the Oracle Client libraries. The character set does not need to match the character set used by the database. If it doesn't match, Oracle will do its best to convert data to and from the database character set. Depending on the character sets this may not give usable results. Conversion also adds some time overhead.
 * @param int $session_mode [optional] This parameter is available since version PHP 5 (PECL OCI8 1.1) and accepts the following values: <b>OCI_DEFAULT</b>, <b>OCI_SYSOPER</b> and <b>OCI_SYSDBA</b>. If either <b>OCI_SYSOPER</b> or <b>OCI_SYSDBA</b> were specified, this function will try to establish privileged connection using external credentials. Privileged connections are disabled by default. To enable them you need to set oci8.privileged_connect to On.
 * @return resource a connection identifier or false on error.
 */
function oci_connect ($username, $password, $connection_string = null, $character_set = null, $session_mode = null) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Connect to the Oracle server using a unique connection
 * @link http://php.net/manual/en/function.oci-new-connect.php
 * @param string $username <p>
 * The Oracle user name.
 * </p>
 * @param string $password <p>
 * The password for username.
 * </p>
 * @param string $connection_string [optional] Contains the Oracle instance to connect to. It can be an Easy Connect string, or a Connect Name from the tnsnames.ora file, or the name of a local Oracle instance.If not specified, PHP uses environment variables such as <b>TWO_TASK</b> (on Linux) or <b>LOCAL</b> (on Windows) and <b>ORACLE_SID</b> to determine the Oracle instance to connect to. To use the Easy Connect naming method, PHP must be linked with Oracle 10g or greater Client libraries. The Easy Connect string for Oracle 10g is of the form: [//]host_name[:port][/service_name]. With Oracle 11g, the syntax is: [//]host_name[:port][/service_name][:server_type][/instance_name]. Service names can be found by running the Oracle utility lsnrctl status on the database server machine.The tnsnames.ora file can be in the Oracle Net search path, which includes $ORACLE_HOME/network/admin and /etc. Alternatively set TNS_ADMIN so that $TNS_ADMIN/tnsnames.ora is read. Make sure the web daemon has read access to the file.
 * @param string $character_set [optional] Determines the character set used by the Oracle Client libraries. The character set does not need to match the character set used by the database. If it doesn't match, Oracle will do its best to convert data to and from the database character set. Depending on the character sets this may not give usable results. Conversion also adds some time overhead.
 * @param int $session_mode [optional] This parameter is available since version PHP 5 (PECL OCI8 1.1) and accepts the following values: <b>OCI_DEFAULT</b>, <b>OCI_SYSOPER</b> and <b>OCI_SYSDBA</b>. If either <b>OCI_SYSOPER</b> or <b>OCI_SYSDBA</b> were specified, this function will try to establish privileged connection using external credentials. Privileged connections are disabled by default. To enable them you need to set oci8.privileged_connect to On.
 * @return resource a connection identifier or false on error.
 */
function oci_new_connect ($username, $password, $connection_string = null, $character_set = null, $session_mode = null) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Connect to an Oracle database using a persistent connection
 * @link http://php.net/manual/en/function.oci-pconnect.php
 * @param string $username <p>
 * The Oracle user name.
 * </p>
 * @param string $password <p>
 * The password for username.
 * </p>
 * @param string $connection_string [optional] Contains the Oracle instance to connect to. It can be an Easy Connect string, or a Connect Name from the tnsnames.ora file, or the name of a local Oracle instance.If not specified, PHP uses environment variables such as <b>TWO_TASK</b> (on Linux) or <b>LOCAL</b> (on Windows) and <b>ORACLE_SID</b> to determine the Oracle instance to connect to. To use the Easy Connect naming method, PHP must be linked with Oracle 10g or greater Client libraries. The Easy Connect string for Oracle 10g is of the form: [//]host_name[:port][/service_name]. With Oracle 11g, the syntax is: [//]host_name[:port][/service_name][:server_type][/instance_name]. Service names can be found by running the Oracle utility lsnrctl status on the database server machine.The tnsnames.ora file can be in the Oracle Net search path, which includes $ORACLE_HOME/network/admin and /etc. Alternatively set TNS_ADMIN so that $TNS_ADMIN/tnsnames.ora is read. Make sure the web daemon has read access to the file.
 * @param string $character_set [optional] Determines the character set used by the Oracle Client libraries. The character set does not need to match the character set used by the database. If it doesn't match, Oracle will do its best to convert data to and from the database character set. Depending on the character sets this may not give usable results. Conversion also adds some time overhead.
 * @param int $session_mode [optional] This parameter is available since version PHP 5 (PECL OCI8 1.1) and accepts the following values: <b>OCI_DEFAULT</b>, <b>OCI_SYSOPER</b> and <b>OCI_SYSDBA</b>. If either <b>OCI_SYSOPER</b> or <b>OCI_SYSDBA</b> were specified, this function will try to establish privileged connection using external credentials. Privileged connections are disabled by default. To enable them you need to set oci8.privileged_connect to On.
 * @return resource a connection identifier or false on error.
 */
function oci_pconnect ($username, $password, $connection_string = null, $character_set = null, $session_mode = null) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Returns the last error found
 * @link http://php.net/manual/en/function.oci-error.php
 * @param resource $resource [optional] <p>
 * For most errors, resource is the
 * resource handle that was passed to the failing function call.
 * For connection errors with <b>oci_connect</b>,
 * <b>oci_new_connect</b> or
 * <b>oci_pconnect</b> do not pass resource.
 * </p>
 * @return array If no error is found, <b>oci_error</b> returns
 * false. Otherwise, <b>oci_error</b> returns the
 * error information as an associative array.
 * </p>
 * <p>
 * <table>
 * <b>oci_error</b> Array Description
 * <tr valign="top">
 * <td>Array key</td>
 * <td>Type</td>
 * <td>Description</td>
 * </tr>
 * <tr valign="top">
 * <td>code</td>
 * <td>integer</td>
 * <td>
 * The Oracle error number.
 * </td>
 * </tr>
 * <tr valign="top">
 * <td>message</td>
 * <td>string</td>
 * <td>
 * The Oracle error text.
 * </td>
 * </tr>
 * <tr valign="top">
 * <td>offset</td>
 * <td>integer</td>
 * <td>
 * The byte position of an error in the SQL statement. If there
 * was no statement, this is 0
 * </td>
 * </tr>
 * <tr valign="top">
 * <td>sqltext</td>
 * <td>string</td>
 * <td>
 * The SQL statement text. If there was no statement, this is
 * an empty string.
 * </td>
 * </tr>
 * </table>
 */
function oci_error ($resource = null) {}

/**
 * @param $lob_descriptor
 */
function oci_free_descriptor ($lob_descriptor) {}

/**
 * @param $lob_descriptor
 * @param $data
 * @param $offset [optional]
 */
function oci_lob_save ($lob_descriptor, $data, $offset) {}

/**
 * @param $lob_descriptor
 * @param $filename
 */
function oci_lob_import ($lob_descriptor, $filename) {}

/**
 * @param $lob_descriptor
 */
function oci_lob_size ($lob_descriptor) {}

/**
 * @param $lob_descriptor
 */
function oci_lob_load ($lob_descriptor) {}

/**
 * @param $lob_descriptor
 * @param $length
 */
function oci_lob_read ($lob_descriptor, $length) {}

/**
 * @param $lob_descriptor
 */
function oci_lob_eof ($lob_descriptor) {}

/**
 * @param $lob_descriptor
 */
function oci_lob_tell ($lob_descriptor) {}

/**
 * @param $lob_descriptor
 * @param $length [optional]
 */
function oci_lob_truncate ($lob_descriptor, $length) {}

/**
 * @param $lob_descriptor
 * @param $offset [optional]
 * @param $length [optional]
 */
function oci_lob_erase ($lob_descriptor, $offset, $length) {}

/**
 * @param $lob_descriptor
 * @param $flag [optional]
 */
function oci_lob_flush ($lob_descriptor, $flag) {}

/**
 * @param $lob_descriptor
 * @param $mode
 */
function ocisetbufferinglob ($lob_descriptor, $mode) {}

/**
 * @param $lob_descriptor
 */
function ocigetbufferinglob ($lob_descriptor) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Compares two LOB/FILE locators for equality
 * @link http://php.net/manual/en/function.oci-lob-is-equal.php
 * @param OCI_Lob $lob1 <p>
 * A LOB identifier.
 * </p>
 * @param OCI_Lob $lob2 <p>
 * A LOB identifier.
 * </p>
 * @return bool true if these objects are equal, false otherwise.
 */
function oci_lob_is_equal (OCI_Lob $lob1, OCI_Lob $lob2) {}

/**
 * @param $lob_descriptor
 */
function oci_lob_rewind ($lob_descriptor) {}

/**
 * @param $lob_descriptor
 * @param $string
 * @param $length [optional]
 */
function oci_lob_write ($lob_descriptor, $string, $length) {}

/**
 * @param $lob_descriptor_to
 * @param $lob_descriptor_from
 */
function oci_lob_append ($lob_descriptor_to, $lob_descriptor_from) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Copies large object
 * @link http://php.net/manual/en/function.oci-lob-copy.php
 * @param OCI_Lob $lob_to <p>
 * The destination LOB.
 * </p>
 * @param OCI_Lob $lob_from <p>
 * The copied LOB.
 * </p>
 * @param int $length [optional] <p>
 * Indicates the length of data to be copied.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_lob_copy (OCI_Lob $lob_to, OCI_Lob $lob_from, $length = 0) {}

/**
 * @param $lob_descriptor
 * @param $filename
 * @param $start [optional]
 * @param $length [optional]
 */
function oci_lob_export ($lob_descriptor, $filename, $start, $length) {}

/**
 * @param $lob_descriptor
 * @param $offset
 * @param $whence [optional]
 */
function oci_lob_seek ($lob_descriptor, $offset, $whence) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Commits the outstanding database transaction
 * @link http://php.net/manual/en/function.oci-commit.php
 * @param resource $connection <p>
 * An Oracle connection identifier, returned by
 * <b>oci_connect</b>, <b>oci_pconnect</b>, or <b>oci_new_connect</b>.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_commit ($connection) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Rolls back the outstanding database transaction
 * @link http://php.net/manual/en/function.oci-rollback.php
 * @param resource $connection <p>
 * An Oracle connection identifier, returned by
 * <b>oci_connect</b>, <b>oci_pconnect</b>
 * or <b>oci_new_connect</b>.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_rollback ($connection) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Initializes a new empty LOB or FILE descriptor
 * @link http://php.net/manual/en/function.oci-new-descriptor.php
 * @param resource $connection <p>
 * An Oracle connection identifier, returned by
 * <b>oci_connect</b> or <b>oci_pconnect</b>.
 * </p>
 * @param int $type [optional] <p>
 * Valid values for type are:
 * <b>OCI_DTYPE_FILE</b>, <b>OCI_DTYPE_LOB</b> and
 * <b>OCI_DTYPE_ROWID</b>.
 * </p>
 * @return OCI_Lob a new LOB or FILE descriptor on success, false on error.
 */
function oci_new_descriptor ($connection, $type = 'OCI_DTYPE_LOB') {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Sets number of rows to be prefetched by queries
 * @link http://php.net/manual/en/function.oci-set-prefetch.php
 * @param resource $statement A valid OCI8 statement identifier created by <b>oci_parse</b> and executed by <b>oci_execute</b>, or a REF CURSOR statement identifier.
 * @param int $rows <p>
 * The number of rows to be prefetched, &gt;= 0
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_set_prefetch ($statement, $rows) {}

/**
 * (PHP 5.3.2, PECL OCI8 &gt;= 1.4.0)<br/>
 * Sets the client identifier
 * @link http://php.net/manual/en/function.oci-set-client-identifier.php
 * @param resource $connection An Oracle connection identifier, returned by <b>oci_connect</b>, <b>oci_pconnect</b>, or <b>oci_new_connect</b>.
 * @param string $client_identifier <p>
 * User chosen string up to 64 bytes long.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_set_client_identifier ($connection, $client_identifier) {}

/**
 * (PHP 5.3.2, PECL OCI8 &gt;= 1.4.0)<br/>
 * Sets the database edition
 * @link http://php.net/manual/en/function.oci-set-edition.php
 * @param string $edition <p>
 * Oracle Database edition name previously created with the SQL
 * "CREATE EDITION" command.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_set_edition ($edition) {}

/**
 * (PHP 5.3.2, PECL OCI8 &gt;= 1.4.0)<br/>
 * Sets the module name
 * @link http://php.net/manual/en/function.oci-set-module-name.php
 * @param resource $connection An Oracle connection identifier, returned by <b>oci_connect</b>, <b>oci_pconnect</b>, or <b>oci_new_connect</b>.
 * @param string $module_name <p>
 * User chosen string up to 48 bytes long.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_set_module_name ($connection, $module_name) {}

/**
 * (PHP 5.3.2, PECL OCI8 &gt;= 1.4.0)<br/>
 * Sets the action name
 * @link http://php.net/manual/en/function.oci-set-action.php
 * @param resource $connection An Oracle connection identifier, returned by <b>oci_connect</b>, <b>oci_pconnect</b>, or <b>oci_new_connect</b>.
 * @param string $action_name <p>
 * User chosen string up to 32 bytes long.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_set_action ($connection, $action_name) {}

/**
 * (PHP 5.3.2, PECL OCI8 &gt;= 1.4.0)<br/>
 * Sets the client information
 * @link http://php.net/manual/en/function.oci-set-client-info.php
 * @param resource $connection
 * @param string $client_info
 * @return bool Returns true on success or false on failure.
 */
function oci_set_client_info ($connection, $client_info) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Changes password of Oracle's user
 * @link http://php.net/manual/en/function.oci-password-change.php
 * @param resource $connection <p>
 * An Oracle connection identifier, returned by
 * <b>oci_connect</b> or <b>oci_pconnect</b>.
 * </p>
 * @param string $username <p>
 * The Oracle user name.
 * </p>
 * @param string $old_password <p>
 * The old password.
 * </p>
 * @param string $new_password <p>
 * The new password to be set.
 * </p>
 * @return bool Returns true on success or false on failure.
 */
function oci_password_change ($connection, $username, $old_password, $new_password) {}

/**
 * @param $collection
 */
function oci_free_collection ($collection) {}

/**
 * @param $collection
 * @param $value
 */
function oci_collection_append ($collection, $value) {}

/**
 * @param $collection
 * @param $index
 */
function oci_collection_element_get ($collection, $index) {}

/**
 * @param $collection
 * @param $index
 * @param $value
 */
function oci_collection_element_assign ($collection, $index, $value) {}

/**
 * @param $collection_to
 * @param $collection_from
 */
function oci_collection_assign ($collection_to, $collection_from) {}

/**
 * @param $collection
 */
function oci_collection_size ($collection) {}

/**
 * @param $collection
 */
function oci_collection_max ($collection) {}

/**
 * @param $collection
 * @param $number
 */
function oci_collection_trim ($collection, $number) {}

/**
 * (PHP 5, PECL OCI8 &gt;= 1.1.0)<br/>
 * Allocates new collection object
 * @link http://php.net/manual/en/function.oci-new-collection.php
 * @param resource $connection <p>
 * An Oracle connection identifier, returned by
 * <b>oci_connect</b> or <b>oci_pconnect</b>.
 * </p>
 * @param string $tdo <p>
 * Should be a valid named type (uppercase).
 * </p>
 * @param string $schema [optional] <p>
 * Should point to the scheme, where the named type was created. The name
 * of the current user is the default value.
 * </p>
 * @return OCI_Collection a new OCICollection object or false on
 * error.
 */
function oci_new_collection ($connection, $tdo, $schema = '&null;') {}

/**
 * @param $statement_resource
 */
function oci_free_cursor ($statement_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_free_statement</function>
 * @link http://php.net/manual/en/function.ocifreecursor.php
 * @param $statement_resource
 */
function ocifreecursor ($statement_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_bind_by_name</function>
 * @link http://php.net/manual/en/function.ocibindbyname.php
 * @param $statement_resource
 * @param $column_name
 * @param $variable
 * @param $maximum_length [optional]
 * @param $type [optional]
 */
function ocibindbyname ($statement_resource, $column_name, &$variable, $maximum_length, $type) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_define_by_name</function>
 * @link http://php.net/manual/en/function.ocidefinebyname.php
 * @param $statement_resource
 * @param $column_name
 * @param $variable
 * @param $type [optional]
 */
function ocidefinebyname ($statement_resource, $column_name, &$variable, $type) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_field_is_null</function>
 * @link http://php.net/manual/en/function.ocicolumnisnull.php
 * @param $statement_resource
 * @param $column_number_or_name
 */
function ocicolumnisnull ($statement_resource, $column_number_or_name) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_field_name</function>
 * @link http://php.net/manual/en/function.ocicolumnname.php
 * @param $statement_resource
 * @param $column_number
 */
function ocicolumnname ($statement_resource, $column_number) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_field_size</function>
 * @link http://php.net/manual/en/function.ocicolumnsize.php
 * @param $statement_resource
 * @param $column_number_or_name
 */
function ocicolumnsize ($statement_resource, $column_number_or_name) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_field_scale</function>
 * @link http://php.net/manual/en/function.ocicolumnscale.php
 * @param $statement_resource
 * @param $column_number
 */
function ocicolumnscale ($statement_resource, $column_number) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_field_precision</function>
 * @link http://php.net/manual/en/function.ocicolumnprecision.php
 * @param $statement_resource
 * @param $column_number
 */
function ocicolumnprecision ($statement_resource, $column_number) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_field_type</function>
 * @link http://php.net/manual/en/function.ocicolumntype.php
 * @param $statement_resource
 * @param $column_number
 */
function ocicolumntype ($statement_resource, $column_number) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_field_type_raw</function>
 * @link http://php.net/manual/en/function.ocicolumntyperaw.php
 * @param $statement_resource
 * @param $column_number
 */
function ocicolumntyperaw ($statement_resource, $column_number) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_execute</function>
 * @link http://php.net/manual/en/function.ociexecute.php
 * @param $statement_resource
 * @param $mode [optional]
 */
function ociexecute ($statement_resource, $mode) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_cancel</function>
 * @link http://php.net/manual/en/function.ocicancel.php
 * @param $statement_resource
 */
function ocicancel ($statement_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_fetch</function>
 * @link http://php.net/manual/en/function.ocifetch.php
 * @param $statement_resource
 */
function ocifetch ($statement_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_fetch_all</function>
 * @link http://php.net/manual/en/function.ocifetchstatement.php
 * @param $statement_resource
 * @param $output
 * @param $skip [optional]
 * @param $maximum_rows [optional]
 * @param $flags [optional]
 */
function ocifetchstatement ($statement_resource, &$output, $skip, $maximum_rows, $flags) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_free_statement</function>
 * @link http://php.net/manual/en/function.ocifreestatement.php
 * @param $statement_resource
 */
function ocifreestatement ($statement_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_internal_debug</function>
 * @link http://php.net/manual/en/function.ociinternaldebug.php
 * @param $mode
 */
function ociinternaldebug ($mode) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_num_fields</function>
 * @link http://php.net/manual/en/function.ocinumcols.php
 * @param $statement_resource
 */
function ocinumcols ($statement_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_parse</function>
 * @link http://php.net/manual/en/function.ociparse.php
 * @param $connection_resource
 * @param $sql_text
 */
function ociparse ($connection_resource, $sql_text) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_new_cursor</function>
 * @link http://php.net/manual/en/function.ocinewcursor.php
 * @param $connection_resource
 */
function ocinewcursor ($connection_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_result</function>
 * @link http://php.net/manual/en/function.ociresult.php
 * @param $statement_resource
 * @param $column_number_or_name
 */
function ociresult ($statement_resource, $column_number_or_name) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_server_version</function>
 * @link http://php.net/manual/en/function.ociserverversion.php
 * @param $connection_resource
 */
function ociserverversion ($connection_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_statement_type</function>
 * @link http://php.net/manual/en/function.ocistatementtype.php
 * @param $statement_resource
 */
function ocistatementtype ($statement_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_num_rows</function>
 * @link http://php.net/manual/en/function.ocirowcount.php
 * @param $statement_resource
 */
function ocirowcount ($statement_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_close</function>
 * @link http://php.net/manual/en/function.ocilogoff.php
 * @param $connection_resource
 */
function ocilogoff ($connection_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_connect</function>
 * @link http://php.net/manual/en/function.ocilogon.php
 * @param $username
 * @param $password
 * @param $connection_string [optional]
 * @param $character_set [optional]
 * @param $session_mode [optional]
 */
function ocilogon ($username, $password, $connection_string, $character_set, $session_mode) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_new_connect</function>
 * @link http://php.net/manual/en/function.ocinlogon.php
 * @param $username
 * @param $password
 * @param $connection_string [optional]
 * @param $character_set [optional]
 * @param $session_mode [optional]
 */
function ocinlogon ($username, $password, $connection_string, $character_set, $session_mode) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_pconnect</function>
 * @link http://php.net/manual/en/function.ociplogon.php
 * @param $username
 * @param $password
 * @param $connection_string [optional]
 * @param $character_set [optional]
 * @param $session_mode [optional]
 */
function ociplogon ($username, $password, $connection_string, $character_set, $session_mode) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_error</function>
 * @link http://php.net/manual/en/function.ocierror.php
 * @param $connection_or_statement_resource [optional]
 */
function ocierror ($connection_or_statement_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_lob_free</function>
 * @link http://php.net/manual/en/function.ocifreedesc.php
 * @param $lob_descriptor
 */
function ocifreedesc ($lob_descriptor) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_lob_save</function>
 * @link http://php.net/manual/en/function.ocisavelob.php
 * @param $lob_descriptor
 * @param $data
 * @param $offset [optional]
 */
function ocisavelob ($lob_descriptor, $data, $offset) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_lob_import</function>
 * @link http://php.net/manual/en/function.ocisavelobfile.php
 * @param $lob_descriptor
 * @param $filename
 */
function ocisavelobfile ($lob_descriptor, $filename) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_lob_export</function>
 * @link http://php.net/manual/en/function.ociwritelobtofile.php
 * @param $lob_descriptor
 * @param $filename
 * @param $start [optional]
 * @param $length [optional]
 */
function ociwritelobtofile ($lob_descriptor, $filename, $start, $length) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_lob_load</function>
 * @link http://php.net/manual/en/function.ociloadlob.php
 * @param $lob_descriptor
 */
function ociloadlob ($lob_descriptor) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_commit</function>
 * @link http://php.net/manual/en/function.ocicommit.php
 * @param $connection_resource
 */
function ocicommit ($connection_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_rollback</function>
 * @link http://php.net/manual/en/function.ocirollback.php
 * @param $connection_resource
 */
function ocirollback ($connection_resource) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_new_descriptor</function>
 * @link http://php.net/manual/en/function.ocinewdescriptor.php
 * @param $connection_resource
 * @param $type [optional]
 */
function ocinewdescriptor ($connection_resource, $type) {}

/**
 * (PHP 4, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_set_prefetch</function>
 * @link http://php.net/manual/en/function.ocisetprefetch.php
 * @param $statement_resource
 * @param $number_of_rows
 */
function ocisetprefetch ($statement_resource, $number_of_rows) {}

/**
 * @param $connection_resource_or_connection_string
 * @param $username
 * @param $old_password
 * @param $new_password
 */
function ocipasswordchange ($connection_resource_or_connection_string, $username, $old_password, $new_password) {}

/**
 * (PHP 4 &gt;= 4.0.7, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_collection_free</function>
 * @link http://php.net/manual/en/function.ocifreecollection.php
 * @param $collection
 */
function ocifreecollection ($collection) {}

/**
 * (PHP 4 &gt;= 4.0.6, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_new_collection</function>
 * @link http://php.net/manual/en/function.ocinewcollection.php
 * @param $connection_resource
 * @param $type_name
 * @param $schema_name [optional]
 */
function ocinewcollection ($connection_resource, $type_name, $schema_name) {}

/**
 * (PHP 4 &gt;= 4.0.6, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_collection_append</function>
 * @link http://php.net/manual/en/function.ocicollappend.php
 * @param $collection
 * @param $value
 */
function ocicollappend ($collection, $value) {}

/**
 * (PHP 4 &gt;= 4.0.6, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_collection_element_get</function>
 * @link http://php.net/manual/en/function.ocicollgetelem.php
 * @param $collection
 * @param $index
 */
function ocicollgetelem ($collection, $index) {}

/**
 * (PHP 4 &gt;= 4.0.6, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_collection_element_assign</function>
 * @link http://php.net/manual/en/function.ocicollassignelem.php
 * @param $collection
 * @param $index
 * @param $value
 */
function ocicollassignelem ($collection, $index, $value) {}

/**
 * (PHP 4 &gt;= 4.0.6, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_collection_size</function>
 * @link http://php.net/manual/en/function.ocicollsize.php
 * @param $collection
 */
function ocicollsize ($collection) {}

/**
 * (PHP 4 &gt;= 4.0.6, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_collection_max</function>
 * @link http://php.net/manual/en/function.ocicollmax.php
 * @param $collection
 */
function ocicollmax ($collection) {}

/**
 * (PHP 4 &gt;= 4.0.6, PHP 5, PECL OCI8 &gt;= 1.0.0)<br/>
 * &Alias; <function>oci_collection_trim</function>
 * @link http://php.net/manual/en/function.ocicolltrim.php
 * @param $collection
 * @param $number
 */
function ocicolltrim ($collection, $number) {}

define ('OCI_DEFAULT', 0);
define ('OCI_SYSOPER', 4);
define ('OCI_SYSDBA', 2);
define ('OCI_CRED_EXT', -2147483648);
define ('OCI_DESCRIBE_ONLY', 16);
define ('OCI_COMMIT_ON_SUCCESS', 32);
define ('OCI_NO_AUTO_COMMIT', 0);
define ('OCI_EXACT_FETCH', 2);
define ('OCI_SEEK_SET', 0);
define ('OCI_SEEK_CUR', 1);
define ('OCI_SEEK_END', 2);
define ('OCI_LOB_BUFFER_FREE', 1);
define ('SQLT_BFILEE', 114);
define ('SQLT_CFILEE', 115);
define ('SQLT_CLOB', 112);
define ('SQLT_BLOB', 113);
define ('SQLT_RDD', 104);
define ('SQLT_INT', 3);
define ('SQLT_NUM', 2);
define ('SQLT_RSET', 116);
define ('SQLT_AFC', 96);
define ('SQLT_CHR', 1);
define ('SQLT_VCS', 9);
define ('SQLT_AVC', 97);
define ('SQLT_STR', 5);
define ('SQLT_LVC', 94);
define ('SQLT_FLT', 4);
define ('SQLT_UIN', 68);
define ('SQLT_LNG', 8);
define ('SQLT_LBI', 24);
define ('SQLT_BIN', 23);
define ('SQLT_ODT', 156);
define ('SQLT_BDOUBLE', 22);
define ('SQLT_BFLOAT', 21);
define ('OCI_B_NTY', 108);
define ('SQLT_NTY', 108);
define ('OCI_SYSDATE', "SYSDATE");
define ('OCI_B_BFILE', 114);
define ('OCI_B_CFILEE', 115);
define ('OCI_B_CLOB', 112);
define ('OCI_B_BLOB', 113);
define ('OCI_B_ROWID', 104);
define ('OCI_B_CURSOR', 116);
define ('OCI_B_BIN', 23);
define ('OCI_B_INT', 3);
define ('OCI_B_NUM', 2);
define ('OCI_FETCHSTATEMENT_BY_COLUMN', 16);
define ('OCI_FETCHSTATEMENT_BY_ROW', 32);
define ('OCI_ASSOC', 1);
define ('OCI_NUM', 2);
define ('OCI_BOTH', 3);
define ('OCI_RETURN_NULLS', 4);
define ('OCI_RETURN_LOBS', 8);
define ('OCI_DTYPE_FILE', 56);
define ('OCI_DTYPE_LOB', 50);
define ('OCI_DTYPE_ROWID', 54);
define ('OCI_D_FILE', 56);
define ('OCI_D_LOB', 50);
define ('OCI_D_ROWID', 54);
define ('OCI_TEMP_CLOB', 2);
define ('OCI_TEMP_BLOB', 1);

// End of oci8 v.1.4.6
?>
